MS16-107: Security Update for Microsoft Office (3185852) (Mac OS X)

high Nessus Plugin ID 93532
New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

An application installed on the remote Mac OS X host is affected by multiple remote code execution vulnerabilities.

Description

The version of Microsoft Office installed on the remote Mac OS X host is affected by multiple remote code execution vulnerabilities due to improper handling of objects in memory. An unauthenticated, remote attacker can exploit these vulnerabilities by convincing a user to open a specially crafted Office file, resulting in the execution of arbitrary code in the context of the current user.

Solution

Microsoft has released a set of patches for Office for Mac 2011, Word for Mac 2011, Office 2016 for Mac, Word 2016, Excel 2016 for Mac, PowerPoint 2016 for Mac, and Outlook 2016 for Mac.

See Also

https://technet.microsoft.com/library/security/MS16-107

Plugin Details

Severity: High

ID: 93532

File Name: macosx_ms16-107_office.nasl

Version: 1.7

Type: local

Agent: macosx

Published: 9/15/2016

Updated: 7/14/2018

Dependencies: macosx_office_installed.nbin

Risk Information

VPR

Risk Factor: Medium

Score: 6.7

CVSS v2

Risk Factor: High

Base Score: 9.3

Temporal Score: 7.3

Vector: AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: E:POC/RL:OF/RC:C

CVSS v3

Risk Factor: High

Base Score: 7.8

Temporal Score: 7

Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Temporal Vector: E:P/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:microsoft:office, cpe:/a:microsoft:word_for_mac, cpe:/a:microsoft:excel_for_mac, cpe:/a:microsoft:powerpoint_for_mac, cpe:/a:microsoft:outlook_for_mac

Required KB Items: Host/MacOSX/Version

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 9/13/2016

Vulnerability Publication Date: 9/13/2016

Reference Information

CVE: CVE-2016-3357, CVE-2016-3358, CVE-2016-3360

BID: 92786, 92791, 92796

MSFT: MS16-107

IAVA: 2016-A-0243

MSKB: 3186805, 3186807